Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Identity Hub
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация
      • Overview
        • Overview
          • Overview
          • Get
          • List
          • Create
          • Update
          • Delete
          • SetOwnPassword
          • SetOthersPassword
          • Suspend
          • Reactivate
          • GeneratePassword
          • GetSelfPasswordMetadata
          • ConvertToExternal
          • SetPasswordHash
          • ResolveExternalIds
          • CommitPassword
  • Аудитные логи Audit Trails
  • История изменений
  • История изменений Yandex Identity Hub Sync Agent
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Body parameters
  • PasswordSpec
  • PasswordHash
  • Response
  • Status
  1. Справочник API
  2. REST (англ.)
  3. Identity Provider API
  4. User
  5. Create

Identity Provider API, REST: User.Create

Статья создана
Yandex Cloud
Обновлена 27 мая 2026 г.
  • HTTP request
  • Body parameters
  • PasswordSpec
  • PasswordHash
  • Response
  • Status

Creates a user in the specified userpool.

HTTP requestHTTP request

POST https://organization-manager.api.cloud.yandex.net/organization-manager/v1/idp/users

Body parametersBody parameters

{
  "userpoolId": "string",
  "username": "string",
  "fullName": "string",
  "givenName": "string",
  "familyName": "string",
  "email": "string",
  "phoneNumber": "string",
  // Includes only one of the fields `passwordSpec`, `passwordHash`
  "passwordSpec": {
    "password": "string",
    "generationProof": "string"
  },
  "passwordHash": {
    "passwordHash": "string",
    "passwordHashType": "string"
  },
  // end of the list of possible fields
  "isActive": "boolean",
  "externalId": "string",
  "companyName": "string",
  "department": "string",
  "jobTitle": "string",
  "employeeId": "string"
}

Request to create a new user.

Field

Description

userpoolId

string

Required field. ID of the userpool to create the user in.

The maximum string length in characters is 50.

username

string

Required field. Username for the new user.

The maximum string length in characters is 254. Value must match the regular expression [a-z0-9A-Z\._-]{1,64}@.{1,256}.

fullName

string

Required field. Full name of the user.

The maximum string length in characters is 256.

givenName

string

First name of the user.

The maximum string length in characters is 256.

familyName

string

Last name of the user.

The maximum string length in characters is 256.

email

string

Email address of the user.

The maximum string length in characters is 254. Value must match the regular expression |(.{3,254}).

phoneNumber

string

Phone number of the user.

The maximum string length in characters is 50.

passwordSpec

PasswordSpec

Password specification. Credentials type. Exactly one of credentials type must be specified.

Includes only one of the fields passwordSpec, passwordHash.

User credentials.

passwordHash

PasswordHash

Password hash. Credentials type. Exactly one of credentials type must be specified.

Includes only one of the fields passwordSpec, passwordHash.

User credentials.

isActive

boolean

Whether the user is active. Default is true.

externalId

string

External identifier for the user.

The maximum string length in characters is 256.

companyName

string

User's company name.

The maximum string length in characters is 256.

department

string

User's department.

The maximum string length in characters is 256.

jobTitle

string

User's job title.

The maximum string length in characters is 256.

employeeId

string

User's employee ID

The maximum string length in characters is 256.

PasswordSpecPasswordSpec

Password specification.

Field

Description

password

string

Required field. The password string.

The maximum string length in characters is 128.

generationProof

string

Proof that the password was generated by the system.

The maximum string length in characters is 128.

PasswordHashPasswordHash

Password hash information.

Field

Description

passwordHash

string

Required field. The password hash string.

The maximum string length in characters is 128.

passwordHashType

enum (PasswordHashType)

Required field. Type of the password hash.

  • AD_MD4: Microsoft Active Directory MD4 hash.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Была ли статья полезна?

Предыдущая
List
Следующая
Update
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»